libraw1394: version 2.0.4
Prev |  | Next

# raw1394_lock64

## Name

raw1394_lock64 -- send 64-bit compare-swap lock request and wait for response.

## Synopsis

``int raw1394_lock64` (raw1394handle_t handle, nodeid_t node, nodeaddr_t addr, unsigned int extcode, octlet_t data, octlet_t arg, octlet_t * result);`

## Arguments

`handle`

  libraw1394 handle

`node`

  target node ID

`addr`

  address to read from

`extcode`

  extended transaction code determining the lock operation

`data`

  data part of lock parameters

`arg`

  arg part of lock parameters

`result`

  address where return value will be written

## Description

This does the complete transaction and will return when it's finished. It will call `raw1394_loop_iterate` as often as necessary, return values of handlers called will be therefore lost.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_lock | Up | raw1394_async_stream